package commons;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
/**
* <h1>TimeLine</h1>
* Class responsible for handling the data
* regarding a single timeline.
*
* @version 2.0
* @since   2017-07-23
* @implNote modified 2023-09-14
*/
public class TimeLine {
	List<ValuePair> values;
	
	public TimeLine(){
		values = new ArrayList<ValuePair>();
	}
	
	public List<ValuePair> getValues(){
		return values;
	}
	
	/**
	 * Adds a value pair to the timeline
	 * 
	 * @param v the value pair to be added
	 * @return the size of the timeline after the addition, or -1 if sth goes wrong
	 */
	public int addValue(ValuePair v){
		if(Objects.nonNull(v)) {
			this.values.add(v);
			return this.values.size();
		}
		return -1;
	}
	
	/**
	 * Prints a report for all the values in the 
	 * specific timeline.
	 */
	public String consoleVerticalReport(){
		String result = "--- Time series data---\n";
		
		for (ValuePair v: values){
			result = result + v.getPos() + "\t" + v.getX()+ "\t"+v.getY() + "\n";
		}
		result = result + "\n";
		return result;
	}//end consloeVerticalReport

	
}//end class

