package visual;

import java.io.PrintStream;

import commons.*;
/**
* <h1>ConsoleVisualizer</h1>
* Class responsible for visualizing a specific 
* timeline in the console
* 
* @version 1.0
* @since   2017-07-23
 * 
 */
public final class ConsoleVisualizer extends AbstractRasterBasedVisualizer implements IVisualizer {


	public ConsoleVisualizer(TimeLine tl) {
		super(tl);
		this.produceRaster(tl);
	}

	/**
	 * {@inheritDoc}
	 * 
	 * @see visual.IVisualizer#visualize()
	 */
	@Override
	public char[][] visualize(PrintStream printstream) {
		
		printstream.println("\n\n--------------------NOW YOU SEE IT---------------");
		/*
		 * column by column print x-axis print x-axis legend
		 */
		for (int i = 0; i < numRows; i++) {
			printstream.println();
			for (int j = 0; j < numCols; j++) {
				printstream.printf("%2c", raster[i][j]);
			}
			
			// outputStream.println("\n</tr>");
		}
		printstream.println();
		return this.raster;
	}// end visualize

}
